New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Allow Elasticsearch to run in a YARN environment #321

Closed
costin opened this Issue Nov 12, 2014 · 0 comments

Comments

Projects
None yet
1 participant
@costin
Member

costin commented Nov 12, 2014

In environments where YARN is prevalent, having the ability to run Elasticsearch within YARN offers an easy way to deploy it and take advantage of the existing infrastructure.

costin added a commit that referenced this issue Nov 12, 2014

costin added a commit that referenced this issue Nov 13, 2014

Significantly improve compatibility across YARN versions
Since the API between Hadoop versions is not backwards compatible,
expand the compat layer to allow the binary to run across 2.2, 2.3,
2.4, 2.4.1, 2.5 and 2.5.1. Note the latest 2.4 (2.4.1) is recommended.
Additionally add plenty of polishing to the CLI

related to #321

costin added a commit that referenced this issue Nov 14, 2014

@costin costin added the :Yarn label Nov 17, 2014

This issue was closed.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment